Skip to main content
`Ctrl`+`K`

# VecLockReadPop

Pop a read-only lock from a vector

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecLockReadPop(Vec x)

Logically Collective

## Input Parameter

- x - the vector

## See Also

Vectors and Parallel Data, `Vec`, `VecRestoreArray()`, `VecGetArrayRead()`, `VecLockReadPush()`, `VecLockGet()`

## Level

intermediate

## Location

src/vec/vec/interface/rvector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages